Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class WQLParserTokenManager

    java.lang.Object
      |
      +--com.sun.wbem.query.WQLParserTokenManager

public class WQLParserTokenManager
extends java.lang.Object
implements WQLParserConstants

Field Summary
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface com.sun.wbem.query.WQLParserConstants
`and, approximateNumericLiteral, asterisk, characterStringLiteral, columnidentifier, comma, DEFAULT, digit, EOF, equalsOperator, escape, EXPONENT, FORMAL_COMMENT, from, greaterThanOperator, greaterThanOrEqualsOperator, identifier, isa, leftParen, lessThanOperator, lessThanOrEqualsOperator, letter, like, minusSign, MULTI_LINE_COMMENT, not, notEqualsOperator, or, period, plusSign, rightParen, select, SINGLE_LINE_COMMENT, solidus, tokenImage, unsignedInteger, where`

Constructor Summary
`WQLParserTokenManager(ASCII_CharStream stream)`
`WQLParserTokenManager(ASCII_CharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(ASCII_CharStream stream)`
`void` | `ReInit(ASCII_CharStream stream, int lexState)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

Constructor Detail

### WQLParserTokenManager

    public WQLParserTokenManager(ASCII_CharStream stream)

### WQLParserTokenManager

    public WQLParserTokenManager(ASCII_CharStream stream,
                                 int lexState)

Method Detail

### ReInit

    public void ReInit(ASCII_CharStream stream)

### ReInit

    public void ReInit(ASCII_CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD